[SCM] Samba Shared Repository - branch master updated

Andreas Schneider asn at samba.org
Fri Oct 27 13:23:02 UTC 2017


The branch, master has been updated
       via  0a796f5 testprogs: Update the kpasswd setpassword test
       via  ab44be7 s4:kdc: Pass down the task to get access to model_ops for kpasswd server
      from  3271908 s3:modules: Check correct variable for NULL in posixacl_xattr

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 0a796f5677e6465b4caa01b8e6c4720cd16dcdd4
Author: Andreas Schneider <asn at samba.org>
Date:   Fri Oct 20 08:58:21 2017 +0200

    testprogs: Update the kpasswd setpassword test
    
    This has been fixed with b81ca4f9dcbb378a95fb3ac31bfd9a1cbe505d7d
    
    Signed-off-by: Andreas Schneider <asn at samba.org>
    Reviewed-by: Ralph Boehme <slow at samba.org>
    
    Autobuild-User(master): Andreas Schneider <asn at cryptomilk.org>
    Autobuild-Date(master): Fri Oct 27 15:22:43 CEST 2017 on sn-devel-144

commit ab44be7a270e1fdd9031f0537ed0917243a3cf9a
Author: Andreas Schneider <asn at samba.org>
Date:   Thu Oct 19 17:32:15 2017 +0200

    s4:kdc: Pass down the task to get access to model_ops for kpasswd server
    
    Signed-off-by: Andreas Schneider <asn at samba.org>
    Reviewed-by: Ralph Boehme <slow at samba.org>

-----------------------------------------------------------------------

Summary of changes:
 source4/kdc/kdc-service-mit.c          | 5 ++---
 testprogs/blackbox/test_kpasswd_mit.sh | 7 ++-----
 2 files changed, 4 insertions(+), 8 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source4/kdc/kdc-service-mit.c b/source4/kdc/kdc-service-mit.c
index 53997d5..e5b20ff 100644
--- a/source4/kdc/kdc-service-mit.c
+++ b/source4/kdc/kdc-service-mit.c
@@ -58,7 +58,6 @@ static NTSTATUS startup_kpasswd_server(TALLOC_CTX *mem_ctx,
 				       struct loadparm_context *lp_ctx,
 				       struct interface *ifaces)
 {
-	const struct model_ops *model_ops;
 	int num_interfaces;
 	int i;
 	TALLOC_CTX *tmp_ctx;
@@ -92,7 +91,7 @@ static NTSTATUS startup_kpasswd_server(TALLOC_CTX *mem_ctx,
 
 		for (i = 0; wcard[i] != NULL; i++) {
 			status = kdc_add_socket(kdc,
-						model_ops,
+						kdc->task->model_ops,
 						"kpasswd",
 						wcard[i],
 						kpasswd_port,
@@ -116,7 +115,7 @@ static NTSTATUS startup_kpasswd_server(TALLOC_CTX *mem_ctx,
 		const char *address = talloc_strdup(tmp_ctx, iface_list_n_ip(ifaces, i));
 
 		status = kdc_add_socket(kdc,
-					model_ops,
+					kdc->task->model_ops,
 					"kpasswd",
 					address,
 					kpasswd_port,
diff --git a/testprogs/blackbox/test_kpasswd_mit.sh b/testprogs/blackbox/test_kpasswd_mit.sh
index 8a0bce4..d08367f 100755
--- a/testprogs/blackbox/test_kpasswd_mit.sh
+++ b/testprogs/blackbox/test_kpasswd_mit.sh
@@ -192,11 +192,8 @@ test_smbclient "Test login with user kerberos" \
 ### Test kpasswd service via 'net ads password'
 ###########################################################
 
-# NOTE: This call works if it is compiled with Heimdal, because the Heimdal
-# krb5_set_password() implementation falls back to change_password. The MIT
-# function doesn't!
-testit_expect_failure "change user password with 'net ads password', admin: $DOMAIN/$TEST_USERNAME, target: $TEST_PRINCIPAL (will fail)" \
-	$VALGRIND $net_tool ads password -W$DOMAIN -U$TEST_PRINCIPAL%$TEST_PASSWORD $TEST_PRINCIPAL "$TEST_PASSWORD_NEW" && failed=`expr $failed + 1`
+testit "change user password with 'net ads password', admin: $DOMAIN/$TEST_USERNAME, target: $TEST_PRINCIPAL" \
+	$VALGRIND $net_tool ads password -W$DOMAIN -U$TEST_PRINCIPAL%$TEST_PASSWORD $TEST_PRINCIPAL "$TEST_PASSWORD_NEW" || failed=`expr $failed + 1`
 
 #TEST_PASSWORD=$TEST_PASSWORD_NEW
 #TEST_PASSWORD_NEW="testPaSS at 06%"


-- 
Samba Shared Repository



More information about the samba-cvs mailing list